org.eclipse.wst.jsdt.chromium.wip

## Interface WipBrowser.WipTabConnector

Enclosing interface:
  WipBrowser

    public static interface WipBrowser.WipTabConnector

### Method Summary

All Methods Instance Methods Abstract Methods
`WipBrowserTab` `attach(TabDebugEventListener listener)` Attaches to the related tab debugger.
`java.lang.String` `getTitle()`
`java.lang.String` `getUrl()`
`boolean` `isAlreadyAttached()`

### Method Detail

#### getTitle

    java.lang.String getTitle()

#### getUrl

    java.lang.String getUrl()

Returns:
  tab url that should be shown to user to let him select one tab from list

#### isAlreadyAttached

    boolean isAlreadyAttached()

Returns:
  true if the tab is already attached at this moment

#### attach

    WipBrowserTab attach(TabDebugEventListener listener)
                  throws java.io.IOException

Attaches to the related tab debugger.

Parameters:
  `listener` - to report the debug events to
Returns:
  null if operation failed
Throws:
  `java.io.IOException`